> # NAME

> tex2DARRAYproj - performs a texture lookup with projection in a given sampler array.

> # SYNOPSIS

>       float4 tex2DARRAYproj(sampler2DARRAY samp, float3 s)
>       float4 tex2DARRAYproj(sampler2DARRAY samp, float3 s, int texelOff)

>       int4 tex2DARRAYproj(isampler2DARRAY samp, float3 s)
>       int4 tex2DARRAYproj(isampler2DARRAY samp, float3 s, int texelOff)

>       unsigned int4 tex2DARRAYproj(usampler2DARRAY samp, float3 s)
>       unsigned int4 tex2DARRAYproj(usampler2DARRAY samp, float3 s, int texelOff)

> # PARAMETERS

> samp

>   Sampler array to lookup.

> s

>   Coordinates to perform the lookup. The value used to select the layer should be passed as the component right after the lookup coordinates. The value used in the projection should be passed as the last component of the coordinate vector.

> texelOff

>   Offset to be added to obtain the final texel.

> # DESCRIPTION

> Performs a texture lookup in sampler array samp using coordinates s, the layer used in the lookup is first selected using the coordinate component right after the regular coordinates. The coordinates used in the lookup are then projected, that is, divided by the last component of the coordinate vector and them used in the lookup.

> # PROFILE SUPPORT

> tex2DARRAYproj is only supported in gp4 and newer profiles.

> # SEE ALSO

> tex2D, tex2Dproj